{ lib, config, ... }:

let
  cfg = config.ptw.services.swaync;
in {
  options.ptw.services.swaync = {
    enable = lib.mkEnableOption "Configure swaync using HomeManager";
  };

  config = lib.mkIf cfg.enable {
    home-manager.users."${config.ptw.system.singleUser}".xdg.configFile = {
      "swaync/config.json".source = ./config.json;
      "swaync/style.css".source = ./style.css;
    };
  };
}
